declare module 'cos-nodejs-sdk-v5' {
  interface CosOptions {
    SecretId: string;
    SecretKey: string;
  }
  interface PutObjectParams {
    Bucket: string;
    Region: string;
    Key: string;
    Body: any;
  }
  class COS {
    constructor(options: CosOptions);
    putObject(params: PutObjectParams, callback: (err: any, data: any) => void): void;
  }
  export default COS;
}

declare module 'ali-oss' {
  interface OssOptions {
    region: string;
    accessKeyId: string;
    accessKeySecret: string;
    bucket: string;
  }
  class OSS {
    constructor(options: OssOptions);
    put(name: string, data: any): Promise<{ name: string; url: string }>;
  }
  export default OSS;
}
